  @font-face{
            font-family: 'JetBrains Mono';
            src: url(/assets/fonts/JetBrainsMono/JetBrainsMono-Regular.woff2)
            }
            @font-face{
            font-family: 'JetBrains Mono';
            src: url(/assets/fonts/JetBrainsMono/JetBrainsMono-Bold.woff2);
            font-weight: bold;
            }
            @font-face{
            font-family: 'JetBrains Mono';
            src: url(/assets/fonts/JetBrainsMono/JetBrainsMono-BoldItalic.woff2);
            font-weight: bold;
            font-style: italic;
            }
            @font-face{
            font-family: 'JetBrains Mono';
            src: url(/assets/fonts/JetBrainsMono/JetBrainsMono-Italic.woff2);
            font-style: italic;
            }

            body {
                margin: 0;
                background-color: var(--CBcolorBG);
                color: var(--CBmainText);
                font-family: 'JetBrains Mono';
                background-image: var(--CBastro);
                background-attachment: fixed;
                background-repeat: no-repeat;
                background-position: -30px 400px;
                background-size: 500px;
            }

            * {
                box-sizing: border-box;
            }

            #container {
                max-width: 1300px;
                margin: 0 auto;
                }
            #container a {
                color: var(--CBlinkColor);
            }
            #container a:hover{
                color: var(--CBitalicText);
                font-style: italic;
            }
            i, em{
            color: var(--CBitalicText)
            }


            h1,
            h2,
            h3, h4 {
                font-weight: bold;
                color: var(--CBstrongText);
            }
            h1 {
                font-size: 50px;
            }
            h2{
                font-size: 33px;
            }

            p {
                padding-bottom: 20px;
            }

            strong {
                color: var(--CBstrongText);
            }

            .postdate{
                font-size: smaller;
                font-style: italic;
            }

            .readingtime{
                font-size: smaller;
                font-style: italic;
                color: var(--CBstrongText);
            }

            .blockquote{
                margin: 10px;
                background-color: var(--CBcrust);
                padding: 10px;
            }

            #top{
                font-size: smaller;
            }
            #top:hover{
                color: var(--CBitalicText);
                font-style: italic;
            }

            #header {
                width: 100%;
                height: 150px; 
                }
           
            #astro{
                background-image: var(--CBastro);
                background-size: 500px;
                position: fixed;
                left: 90%;
                bottom: -80%;
                width: 100%;
                height: 100%;
            }
           
            .mediabox {
                height: auto;
                width: 500px;
                flex-wrap: wrap;
            }
            .mediaflex img{
                max-width: 150px;
                min-width: 0;
                margin: 7px;
                margin-bottom: 0;
                height: auto;
            }
            .mediaflex{
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }

            .mediatext{
                font-size: 14px;
                display: flex;
                justify-content: center;
            }

            .medialink a{
                color: var(--CBmainText);
                text-decoration: none;
            }

             #navbar {
                max-width: 100%;
                height: 40px;
                font-size: 20px
               
            }

            #navbar ul {
                display: flex;
                padding: 0;
                margin: 0;
                list-style-type: none;
                justify-content: space-evenly;
            }

            #navbar li {
                padding-top: 10px;
            }

            /* navigation links*/
            #navbar li a {
                color: var(--CBnavbarLink);
                font-weight: 800;
                text-decoration: none;
            }
            #navbar li a:hover {
                text-decoration: underline;
                font-style: italic;
            }


            #flex {
                display: flex;
            }

            aside {
                width: 670px;
                padding: 20px;

            }

            main {
                color: var(--CBmainText);
                flex: 1;
                padding: 20px;
                max-width: 900px;
                font-size: 24.5px;
                order: 3;
            }

            #maincontent{
                padding-top: 30px;
            }



             #leftSidebar {
                order: 2;
            }


            footer {
                width: 100%;
                height: 40px;
                padding: 10px;
                text-align: right;

            }

            .box {
                background-color: var(--CBboxBG);
                border: 2px dotted var(--CBborderBox);
                text-shadow: black 1px 1px 1px;
                padding: 10px;
                max-width: 200px;
                font-size: 16px;
                position: fixed;
                left: 580px;
                top: 168px;
            }

            .styleswitcher{
                color: var(--CBmainText);
                background-color: var(--CBcolorBG);
                font-family: 'JetBrains Mono';
                border: 0px;
                font-size: 20px;
    
            }
           .styleswitcher:hover{
                font-style: italic;
                text-decoration: underline;
                cursor: pointer;
                
            }

            ::selection{
                background-color: var(--CBselectionBG);
                color: var(--CBselectionText);
            }

            @media only screen and (max-width: 1200px) {
                #flex {
                    flex-wrap: wrap;
                }

                aside {
                    min-width: 100%;
                }

                body{
                    background-size: 0px;
                }

                .box{
                    max-width: 100%;
                    position: relative;
                    left: 0px;
                    top: 0px;
                }
                main {
                    order: 2;
                    font-size: 20px;
                    height: auto;
                    
                    text-align: center;
                }
                #leftSidebar {
                    order: 1;
                }
                #navbar{
                    max-width: 100%;
                    text-align: center;
                    font-size: 20px;
                    padding-bottom: 30px;
                }
                #navbar li {
                    padding: 10px
                }

                footer{
                text-align: center
                }


                #navbar ul {
                    flex-wrap: wrap;
                }
            }
